You are Here:
Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.



Meltdown & Spectre Information and Discussion

Author (Read 36215 times)

0 Members and 3 Guests are viewing this topic.

Re: Meltdown & Spectre Information and Discussion
« Reply #105 on: February 08, 2018, 09:03:30 AM »
 

supergamer

  • Forum Regular
  • ***
  • 118
    Posts
  • Country: us
  • Reputation: 24
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
It seems the new kernel 4.13.33 fixes the variant 2 version on an older amd at least.


 


Re: Meltdown & Spectre Information and Discussion
« Reply #106 on: February 08, 2018, 10:12:55 AM »
 

Moltke

  • I come here a lot
  • *****
  • 455
    Posts
  • Country: ve
  • Reputation: 66
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: amd athlon 64 x2

  • MEMORY: 4Gb

  • VIDEO CARD: amd radeon hd 6750
It seems the new kernel 4.13.33 fixes the variant 2 version on an older amd at least.


I'm using latest kernel 4.15 on an AMD CPU too and I see this message on boot I can't just now remember. However, running
Code: [Select]
$ grep . /sys/devices/system/cpu/vulnerabilities/*
shows this:
Code: [Select]
/sys/devices/system/cpu/vulnerabilities/meltdown:Not affected
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Vulnerable
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full generic retpoline

I believe message on boot has something to do with last line of that output; full generic reptoline.
Without each others help there ain't no hope for us :)
 

Re: Meltdown & Spectre Information and Discussion
« Reply #107 on: February 08, 2018, 11:09:02 AM »
 

supergamer

  • Forum Regular
  • ***
  • 118
    Posts
  • Country: us
  • Reputation: 24
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
I used the script to check. Here is the report from your command:


Code: [Select]
/sys/devices/system/cpu/vulnerabilities/meltdown:Not affected
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Mitigation: OSB (observable speculation barrier, Intel v6)
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full AMD retpoline
Last Edit: February 08, 2018, 11:23:02 AM by supergamer
 

Re: Meltdown & Spectre Information and Discussion
« Reply #108 on: February 09, 2018, 12:14:42 PM »
 

The Repairman

  • New to Forums
  • *
  • 36
    Posts
  • Country: 00
  • Reputation: 3

  • Linux Lite: 3.6 64bit

  • CPU: AMD Athlon 64 X2 5000 (2600 MHz)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA G72 [GeForce 7300 LE]
 8)
Last Edit: July 14, 2018, 10:13:10 PM by The Repairman
 

Re: Meltdown & Spectre Information and Discussion
« Reply #109 on: February 09, 2018, 02:28:31 PM »
 

supergamer

  • Forum Regular
  • ***
  • 118
    Posts
  • Country: us
  • Reputation: 24
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
I'm running a highly modified version of Linux Lite and some modified Xubuntu stuff. I am assuming the kernel updates will be pushed out by Ubuntu as that is how I got them as I am running a HWE kernel.


Code: [Select]
System:    Host: supergamer Kernel: 4.13.0-33-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Xfce 4.12.3 (Gtk 2.24.28) Distro: Ubuntu 16.04 xenial
Machine:   System: TOSHIBA (portable) product: Satellite L505D v: PSLV6U-00K001
           Mobo: TOSHIBA model: Portable PC
           Bios: Insyde v: 1.00 date: 09/07/2009
CPU:       Dual core AMD Athlon II M300 (-MCP-) cache: 1024 KB
           flags: (lm nx sse sse2 sse3 sse4a svm) bmips: 7979
           clock speeds: max: 2000 MHz 1: 1400 MHz 2: 800 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] RS880M [Mobility Radeon HD 4100]
           bus-ID: 01:05.0
           Display Server: X.Org 1.18.4 drivers: ati,radeon (unloaded: fbdev,vesa)
           Resolution: 1366x768@59.97hz
           GLX Renderer: AMD RS880 (DRM 2.50.0 / 4.13.0-33-generic, LLVM 5.0.0)
           GLX Version: 3.0 Mesa 17.2.8 Direct Rendering: Yes
Audio:     Card Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA)
           driver: snd_hda_intel bus-ID: 00:14.2
           Sound: Advanced Linux Sound Architecture v: k4.13.0-33-generic
Network:   Card-1: Realtek RTL8187SE Wireless LAN Controller
           driver: rtl818x_pci port: 7000 bus-ID: 02:00.0
           IF: wlp2s0 state: up mac: <filter>
           Card-2: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
           driver: r8169 v: 2.3LK-NAPI port: 6000 bus-ID: 03:00.0
           IF: p5p1 state: down mac: <filter>
Drives:    HDD Total Size: 250.1GB (36.2% used)
           ID-1: /dev/sda model: TOSHIBA_MK2555GS size: 250.1GB
Partition: ID-1: / size: 227G used: 82G (38%) fs: ext4 dev: /dev/sda1
           ID-2: swap-1 size: 2.95GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 67.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 165 Uptime: 13 min Memory: 875.9/2746.7MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.481) inxi: 2.2.35
Last Edit: February 09, 2018, 02:31:57 PM by supergamer
 

Re: Meltdown & Spectre Information and Discussion
« Reply #110 on: February 09, 2018, 02:56:52 PM »
 

Moltke

  • I come here a lot
  • *****
  • 455
    Posts
  • Country: ve
  • Reputation: 66
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: amd athlon 64 x2

  • MEMORY: 4Gb

  • VIDEO CARD: amd radeon hd 6750
Quote
Do the new meltdown / spectre kernels update automatically or is this something I have to manually do using Synaptic Package Manager

For kernel updates follow this link and read through the thread.

https://www.linuxliteos.com/forums/linux-lite-software-development/linux-lite-kernel/msg38277/#msg38277

Quote
Is the kernel posted above secure enough or is there a new more secure kernel which I should update to

run this command to find out

Code: [Select]
$ grep . /sys/devices/system/cpu/vulnerabilities/*
Last Edit: February 09, 2018, 02:58:27 PM by Moltke
Without each others help there ain't no hope for us :)
 

Re: Meltdown & Spectre Information and Discussion
« Reply #111 on: February 09, 2018, 03:46:37 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 960
    Posts
  • Country: us
  • Reputation: 174
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.4 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
I run this kernel in Ubuntu 16,04 and it is mitigated against Meltdown with KPTI and mitigated against Spectre variant 1, and Firefox 58 is in the LTS version. You're good enough.

TC
All opinions expressed and all advice given by Trinidad Cruz on this forum are his responsibility alone and do not necessarily reflect the views or methods of the developers of Linux Lite. He is a citizen of the United States where it is acceptable to occasionally be uninformed and inept as long as you pay your taxes.
 

Re: Meltdown & Spectre Information and Discussion
« Reply #112 on: February 09, 2018, 04:13:21 PM »
 

The Repairman

  • New to Forums
  • *
  • 36
    Posts
  • Country: 00
  • Reputation: 3

  • Linux Lite: 3.6 64bit

  • CPU: AMD Athlon 64 X2 5000 (2600 MHz)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA G72 [GeForce 7300 LE]
 8)
Last Edit: July 14, 2018, 10:13:47 PM by The Repairman
 

Re: Meltdown & Spectre Information and Discussion
« Reply #113 on: February 09, 2018, 05:30:22 PM »
 

trinidad

  • Gold Level Poster
  • *******
  • 960
    Posts
  • Country: us
  • Reputation: 174
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 4.4 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D
Here are my results on Ubuntu 16.04 LTS with your listed kernel. The long command is correct for Ubuntu and/or LL. The unpatched frowny face is for no exiting Intel microcode updates as yet.

https://imgur.com/a/wX54Z

TC
Last Edit: February 09, 2018, 05:37:33 PM by trinidad
All opinions expressed and all advice given by Trinidad Cruz on this forum are his responsibility alone and do not necessarily reflect the views or methods of the developers of Linux Lite. He is a citizen of the United States where it is acceptable to occasionally be uninformed and inept as long as you pay your taxes.
 

Re: Meltdown & Spectre Information and Discussion
« Reply #114 on: February 09, 2018, 05:54:40 PM »
 

The Repairman

  • New to Forums
  • *
  • 36
    Posts
  • Country: 00
  • Reputation: 3

  • Linux Lite: 3.6 64bit

  • CPU: AMD Athlon 64 X2 5000 (2600 MHz)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA G72 [GeForce 7300 LE]
 8)
Last Edit: July 14, 2018, 10:14:22 PM by The Repairman
 

Re: Meltdown & Spectre Information and Discussion
« Reply #115 on: February 09, 2018, 06:41:50 PM »
 

The Repairman

  • New to Forums
  • *
  • 36
    Posts
  • Country: 00
  • Reputation: 3

  • Linux Lite: 3.6 64bit

  • CPU: AMD Athlon 64 X2 5000 (2600 MHz)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA G72 [GeForce 7300 LE]
 8)
Last Edit: July 14, 2018, 10:14:44 PM by The Repairman
 

Re: Meltdown & Spectre Information and Discussion
« Reply #116 on: February 23, 2018, 06:07:34 PM »
 

humdinger70

  • New to Forums
  • *
  • 45
    Posts
  • Country: us
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Core i7 2nd gen

  • MEMORY: 16Gb
The 4.4.0-116 kernel now fixes everything. I ran the checker after install and boot of the new kernel and now all three variants say 'NOT VULNERABLE'.
 

Re: Meltdown & Spectre Information and Discussion
« Reply #117 on: February 24, 2018, 10:30:48 AM »
 

The Repairman

  • New to Forums
  • *
  • 36
    Posts
  • Country: 00
  • Reputation: 3

  • Linux Lite: 3.6 64bit

  • CPU: AMD Athlon 64 X2 5000 (2600 MHz)

  • MEMORY: 4Gb

  • VIDEO CARD: NVIDIA G72 [GeForce 7300 LE]
 8)
Last Edit: July 14, 2018, 10:15:16 PM by The Repairman
 

Re: Meltdown & Spectre Information and Discussion
« Reply #118 on: February 24, 2018, 10:39:29 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6897
    Posts
  • Country: nz
  • Reputation: 640
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
 

Re: Meltdown & Spectre Information and Discussion
« Reply #119 on: February 25, 2018, 10:07:06 AM »
 

TheDead

  • Gold Level Poster
  • *******
  • 549
    Posts
  • Country: ca
  • Reputation: 51
  • Linux Lite Worshipper
    • My OpenDesktop Projects

  • Linux Lite: 3.8 32bit

  • CPU: HAL9000

  • MEMORY: 1Gb

  • VIDEO CARD: Oculus Rift v.5
Sooo, if Iím on 4.10, I have to revert to 4.4.0-116 to get the fix?
- TheDead (TheUxNo0b)

If my blabbering was helpful, please click my [Thank] link.
 


 


Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.